import { Service } from "../service";
export declare const Errors: any;
export declare class MemoryLockService extends Service {
    readonly name: string;
    services: {};
    private locks;
    constructor();
    lock(resource: string | string[], callback: (err: Error, locks?: Locks) => void): void;
    private counter;
    private GC_COUNT;
    release(locks: Locks, callback?: Function): void;
    defer<T extends Function>(locks: Locks, callback: T): T;
    private gc();
}
export interface Locks {
    [resource: string]: string;
}
